Package org.apache.sysds.lops.compile.linearization

## Class IDagLinearizerFactory

- java.lang.Object
- - org.apache.sysds.lops.compile.linearization.IDagLinearizerFactory

    public class IDagLinearizerFactory
    extends Object

### Nested Class Summary

Nested Classes
`static class` `IDagLinearizerFactory.DagLinearizer`

### Field Summary

Fields
`static org.apache.commons.logging.Log` `LOG`

### Constructor Summary

Constructors
`IDagLinearizerFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static IDagLinearizer` `createDagLinearizer()`
`static IDagLinearizer` `createDagLinearizer​(IDagLinearizerFactory.DagLinearizer type)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### LOG

    public static org.apache.commons.logging.Log LOG

### Constructor Detail

#### IDagLinearizerFactory

    public IDagLinearizerFactory()

### Method Detail

#### createDagLinearizer

    public static IDagLinearizer createDagLinearizer()

#### createDagLinearizer

    public static IDagLinearizer createDagLinearizer​(IDagLinearizerFactory.DagLinearizer type)